Add items
POST
https://api.catenda.com/v2/projects/{project-id}/libraries/collections/{collection-id}/items
Path Parameters
- project-idstringrequiredExampleDescription
- collection-idstringrequiredDescription
Body Parameters
- bodyobjectrequired
- itemsobject[]required
- libraryIdstringrequiredExampleDescription
- libraryItemIdstringrequiredExampleDescription
- fileIdstringrequiredExampleDescription
- optionsobject
- duplicateItemOptionstringExampleDescription
Responses
200
- collection-item[]
- idstringExampleDescription
- libraryIdstringExampleDescription
- libraryItemIdstringExampleDescription
- fileIdstringExampleDescription
- createdAtstringExampleDescription
- createdBystringExampleDescription
curl
curl --request POST \
--url https://api.catenda.com/v2/projects/{project-id}/libraries/collections/{collection-id}/items \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"items": [
{
"libraryId": "ead9b194e6024e6b92cae1d791797b68",
"libraryItemId": "5badf33213ae420ebf81e727d5281850",
"fileId": "5dc75452-29a4-4c4a-8415-991b92a92001"
}
]
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"items": [
{
"libraryId": "ead9b194e6024e6b92cae1d791797b68",
"libraryItemId": "5badf33213ae420ebf81e727d5281850",
"fileId": "5dc75452-29a4-4c4a-8415-991b92a92001"
}
]
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.catenda.com/v2/projects/{project-id}/libraries/collections/{collection-id}/items", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.catenda.com/v2/projects/{project-id}/libraries/collections/{collection-id}/items")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"items": [
{
"libraryId": "ead9b194e6024e6b92cae1d791797b68",
"libraryItemId": "5badf33213ae420ebf81e727d5281850",
"fileId": "5dc75452-29a4-4c4a-8415-991b92a92001"
}
]
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.catenda.com/v2/projects/{project-id}/libraries/collections/{collection-id}/items"
payload = json.dumps({
"items": [
{
"libraryId": "ead9b194e6024e6b92cae1d791797b68",
"libraryItemId": "5badf33213ae420ebf81e727d5281850",
"fileId": "5dc75452-29a4-4c4a-8415-991b92a92001"
}
]
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// OK
[
{
"id": "924809076a694255b589d236517a55da",
"libraryId": "ead9b194e6024e6b92cae1d791797b68",
"libraryItemId": "5badf33213ae420ebf81e727d5281850",
"fileId": "5dc75452-29a4-4c4a-8415-991b92a92001",
"createdAt": "2023-12-09T10:07:56.000Z",
"createdBy": "524809076a694255b989d236517a55da"
}
]